//
//  IGSparklineColumnCell.m
//  CustomSparklineColumn
//
//  Created by Darrell Kress on 2/24/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "IGSparklineColumnCell.h"
#import "TeamSeasonData.h"

@interface IGSparklineColumnCell()
{
    IGSparklineViewDataSourceHelper* _helper;
}
@end

@implementation IGSparklineColumnCell

-(id)initWithReuseIdentifier:(NSString *)identifier
{
    self = [super initWithReuseIdentifier:identifier];
    if (self)
    {
        self.sparkGraph = [[IGSparklineView alloc]init];
        self.sparkGraph.displayType = IGSparklineDisplayTypeWinLoss;
        self.sparkGraph.lineThickness = 2.0;
        [self addSubview:self.sparkGraph];
    }
    return self;
}

// keeps the sparkline correctly sized.
-(void)setupSize:(CGSize)size
{
    int padding = 5;
    self.sparkGraph.frame = CGRectMake(0, padding, size.width, size.height-(padding*2));
}

// makes a datasource helper and assigns to chart.
-(void)setupCell:(TeamSeasonData *)data
{
    _helper = [[IGSparklineViewDataSourceHelper alloc]initWithValues:data.recordData];
    self.sparkGraph.dataSource = _helper;
}

// since this is the only object holding onto the _helper, we can just nil it out here to ensure destruction.
-(void)cellDetached
{
    _helper = nil;
}

@end
