//
//  IGSparklineColumnDefinition.m
//  CustomSparklineColumn
//
//  Created by Darrell Kress on 2/24/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "IGSparklineColumnDefinition.h"
#import "IGSparklineColumnCell.h"

@implementation IGSparklineColumnDefinition
// creates a sparkline cell and tell that cell to hook itself up to data
-(IGGridViewCell *)gridView:(IGGridView *)gridView createCell:(IGCellPath *)path usingDataSource:(IGGridViewDataSourceHelper *)dataSource
{
     // first we see if we can grab a cell from the recycler
    IGSparklineColumnCell* cell = (IGSparklineColumnCell*)[gridView dequeueReusableCellWithIdentifier:@"sparklineCell"];
    if (!cell)
    {
         // nope, make a new one
        cell = [[IGSparklineColumnCell alloc]initWithReuseIdentifier:@"sparklineCell"];
    }
    // tell the cell to set itself up with the data object
    [cell setupCell:[dataSource resolveDataObjectForRow:path]];
    
    return cell;
}

@end
